Bug 36395 - Useless fetch of AV categories in admin/marc_subfields_structure.pl
Summary: Useless fetch of AV categories in admin/marc_subfields_structure.pl
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17216
Blocks:
  Show dependency treegraph
 
Reported: 2024-03-22 09:11 UTC by Jonathan Druart
Modified: 2024-04-05 09:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36395: Remove useless fetch in admin/marc_subfields_structure.pl (1.14 KB, patch)
2024-03-22 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 36395: Remove useless fetch in admin/marc_subfields_structure.pl (1.19 KB, patch)
2024-03-22 17:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 36395: Remove useless fetch in admin/marc_subfields_structure.pl (1.25 KB, patch)
2024-04-01 15:24 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2024-03-22 09:11:03 UTC
# build authorised value list
     $sth2->finish;
     $sth2 = $dbh->prepare("select distinct category from authorised_values");
     $sth2->execute;
     my @authorised_values= Koha::AuthorisedValueCategories->search->get_column('category_name');

$sth2 is never fetched.
Comment 1 Jonathan Druart 2024-03-22 10:33:56 UTC
Created attachment 163679 [details] [review]
Bug 36395: Remove useless fetch in admin/marc_subfields_structure.pl

Since (a long time ago!)
  commit 62aa3f4292d83bc9304e296de5f0830e28510492
  Bug 17216: Use Koha::AVC from mss.pl

This $sth2 is never fetched, we are retrieving the AV cat using
Koha::AV::Categories

Sponsored-by: The Research University in the Helmholtz Association (KIT)
Comment 2 Owen Leonard 2024-03-22 17:31:54 UTC
Created attachment 163726 [details] [review]
Bug 36395: Remove useless fetch in admin/marc_subfields_structure.pl

Since (a long time ago!)
  commit 62aa3f4292d83bc9304e296de5f0830e28510492
  Bug 17216: Use Koha::AVC from mss.pl

This $sth2 is never fetched, we are retrieving the AV cat using
Koha::AV::Categories

Sponsored-by: The Research University in the Helmholtz Association (KIT)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2024-04-01 15:24:51 UTC
Created attachment 164200 [details] [review]
Bug 36395: Remove useless fetch in admin/marc_subfields_structure.pl

Since (a long time ago!)
  commit 62aa3f4292d83bc9304e296de5f0830e28510492
  Bug 17216: Use Koha::AVC from mss.pl

This $sth2 is never fetched, we are retrieving the AV cat using
Koha::AV::Categories

Sponsored-by: The Research University in the Helmholtz Association (KIT)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2024-04-05 09:53:01 UTC
Pushed for 24.05!

Well done everyone, thank you!